<?php

/**
 * Template for displaying archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 */

$current_cat_id   = get_query_var( 'cat' );
$cat_naam         = get_query_var( 'category_name' );
$cat_beschrijving = category_description( $current_cat_id );

$jaar  = ( 0 !== get_query_var( 'year' ) ) ? get_query_var( 'year' ) : 0;
$maand = ( 0 !== get_query_var( 'monthnum' ) ) ? get_query_var( 'monthnum' ) : 0;
$maand = ( 2 == strlen( $maand ) ) ? $maand : '0' . $maand;
$dag   = ( 0 !== get_query_var( 'day' ) ) ? get_query_var( 'day' ) : 0;
$dag   = ( 2 == strlen( $day ) ) ? $dag : '0' . $dag;

if ( 0 < $jaar && 0 < $maand & 0 < $dag ) {
	$datum    = date( $jaar . $maand . $dag );
	$operator = '=';
} else {
	$datum    = date( 'Ymd' );
	$operator = '>=';
}

$args_archive = array(
	'post_type'      => 'kalenderitems',
	'post_status'    => 'publish',
	'posts_per_page' => -1,
	'meta_key'       => 'datum',
	'orderby'        => 'meta_value_num',
	'order'          => 'ASC',
	'meta_query'     => array(
		array(
			'key'     => 'datum',
			'value'   => $datum,
			'type'    => 'DATE',
			'compare' => $operator,
		),
	),
);

$context                     = Timber::get_context();
$context['posts']            = Timber::get_posts( $args_archive );
$context['cat_naam']         = $cat_naam;
$context['cat_beschrijving'] = $cat_beschrijving;
$context['pagination']       = Timber::get_pagination();

$templates = array(
	'archive-kalenderitems.twig',
	'index.twig',
);
Timber::render( $templates, $context );
