<?php

/**
 * Template for displaying archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 */

$current_cat_id   = get_query_var( 'cat' );
$cat_info         = get_term( $current_cat_id, 'category' );
$cat_naam         = get_query_var( 'category_name' );
$cat_label        = $cat_info->name;
$cat_beschrijving = $cat_info->description;

$num_records   = AANTAL_RESULTATEN_PER_PAGINA_ARCHIEF;
$current_paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$offset        = ( $num_records * $current_paged ) - $num_records;
$args_archive  = array(
	'paged'          => $current_paged,
	'post_type'      => 'post',
	'post_status'    => 'publish',
	'posts_per_page' => $num_records,
	'category_name'  => $cat_naam,
	'orderby'        => 'date',
	'order'          => 'DESC',
	'offset'         => $offset,
);

$query_aantal_items = new WP_Query( $args_archive );
$aantal_items       = $query_aantal_items->found_posts;

$context                     = Timber::get_context();
$context['aantal_items']     = $aantal_items;
$context['posts']            = Timber::get_posts( $args_archive );
$context['cat_naam']         = $cat_label;
$context['cat_beschrijving'] = $cat_beschrijving;
$context['pagination']       = Timber::get_pagination();

$templates = array(
	'archive.twig',
	'index.twig',
);
Timber::render( $templates, $context );
