<?php

if ( ! class_exists( 'Timber' ) ) {

} else {

	Timber::$dirname = array( 'assets/views' );

	class ScoutingnlTimber extends TimberSite {

		function __construct() {

			add_theme_support( 'post-formats', array() );
			add_theme_support( 'post-thumbnails' );
			add_theme_support( 'custom-background' );
			add_theme_support( 'menus' );
			add_filter( 'timber_context', array( $this, 'add_to_context' ) );
			add_filter( 'get_twig', array( $this, 'add_to_twig' ) );
			add_action( 'init', array( $this, 'register_post_types' ) );
			add_action( 'init', array( $this, 'register_taxonomies' ) );
			parent::__construct();

		}

		function register_post_types() {

			// require 'lib/custom-types.php';

		}

		function register_taxonomies() {

			require 'lib/custom-taxonomies.php';

		}

		function add_to_context( $context ) {

			$user                     = wp_get_current_user();
			$context['huidige_url']   = esc_url( 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
			$context['tags']          = array();
			$context['is_homepagina'] = is_front_page();
			$context['type']          = get_post_type();
			$context['site']          = $this;
			$context['device']        = $this->scoutingnl_device_info();
			$context['headermenu']    = new TimberMenu( 'va' );
			$context['footermenu']    = new TimberMenu( 'va-footer' );
			$context['options']       = get_fields( 'options' );
			return $context;

		}


		function scoutingnl_device_info() {

			$device = '';
			if ( function_exists( 'is_mobile' ) ) {
				if ( is_mobile() ) {
					$device = 'mobile';
				} elseif ( is_tablet() ) {
					$device = 'tablet';
				} else {
					$device = 'desktop';
				}
			} elseif ( class_exists( 'Mobile_Detect' ) ) {
				$detect = new Mobile_Detect();
				if ( $detect->isMobile() ) {
					$device = 'mobile';
				} elseif ( $detect->isTablet() ) {
					$device = 'tablet';
				} else {
					$device = 'desktop';
				}
			}

			return $device;

		}

		function add_to_twig( $twig ) {

			$twig->addExtension( new Twig_Extension_StringLoader() );
			//$twig->addFilter( 'bla', new Twig_Filter_Function( 'bla' ) );
			return $twig;

		}

	}

	new ScoutingnlTimber();

	class ScoutingnlTimberPagination extends Timber {

		public static function aantal_gevonden() {

			global $wp_query;
			(int) $aantal_gevonden = intval( $wp_query->found_posts );
			return $aantal_gevonden;

		}

	}

	$inc_puc = trailingslashit( $_SERVER['DOCUMENT_ROOT'] ) . 'wp-content/plugins/plugin-update-checker/plugin-update-checker.php';
	if ( file_exists( $inc_puc ) ) {
		require_once $inc_puc;
		$bb_consumer_key         = 'Ufy5XNYduhMDgY9ysW';
		$bb_consumer_secret      = 'Ej5QCh7vCSsfYWYgn7WFM2S8UDNJvuaT';
		$calendar_update_checker = Puc_v4_Factory::buildUpdateChecker(
			'https://bitbucket.org/hansrochat/scouting-calendar-widget',
			__FILE__,
			'scouting-calendar-widget'
		);
		$calendar_update_checker->setAuthentication(
			array(
				'consumer_key'    => $bb_consumer_key,
				'consumer_secret' => $bb_consumer_secret,
			)
		);
		$calendar_update_checker->setBranch( 'master' );

		$theme_update_checker = Puc_v4_Factory::buildUpdateChecker(
			'https://bitbucket.org/hansrochat/scouting-2020',
			__FILE__,
			''
		);
		$theme_update_checker->setAuthentication(
			array(
				'consumer_key'    => $bb_consumer_key,
				'consumer_secret' => $bb_consumer_secret,
			)
		);
		$theme_update_checker->setBranch( 'master' );
	}
}

require_once 'lib/admin.php';
require_once 'lib/constants.php';
require_once 'lib/tgm-plugin-activation.php';
require_once 'lib/custom-types.php';
require_once 'lib/scripts-styles.php';
require_once 'lib/menus-widgets.php';
require_once 'lib/helpers.php';
require_once 'lib/plugins.php';
require_once 'lib/theme-functions.php';
require_once 'lib/vendor/autoload.php';
