<?php

add_action( 'wp_enqueue_scripts', 'thema_scripts_load' );
function thema_scripts_load() {

	global $post;

	wp_deregister_script( 'jquery' );
	wp_register_script( 'jquery', '//code.jquery.com/jquery-1.11.3.min.js', array(), null, false );
	wp_enqueue_script( 'jquery' );

	wp_register_script( 'cookie-js', get_template_directory_uri() . '/assets/scripts/js/jquery.cookie.js', array(), null, true );
	wp_enqueue_script( 'cookie-js' );

	wp_register_script( 'popper-js', 'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js', array(), null, true );
	wp_enqueue_script( 'popper-js' );

	wp_register_script( 'bootstrap-js', 'https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js', array(), null, true );
	wp_enqueue_script( 'bootstrap-js' );

	wp_register_script( 'bxslider', get_template_directory_uri() . '/assets/scripts/js/jquery.bxslider.min.js', array( 'jquery' ), null, false );
	wp_enqueue_script( 'bxslider' );

	wp_register_script( 'imagesloaded-js', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.imagesloaded/3.1.8/imagesloaded.pkgd.min.js', array(), null, true );
	wp_enqueue_script( 'imagesloaded-js' );

	wp_register_script( 'lazysizes-js', get_template_directory_uri() . '/assets/scripts/js/lazysizes.min.js', array(), null, true );
	wp_enqueue_script( 'lazysizes-js' );

	wp_register_script( 'lazysizes-unveil-js', get_template_directory_uri() . '/assets/scripts/js/ls.unveilhooks.min.js', array( 'lazysizes-js' ), null, true );
	wp_enqueue_script( 'lazysizes-unveil-js' );

	wp_register_script( 'thema-js', get_template_directory_uri() . '/assets/scripts/js/scoutingnl.js', array(), null, true );
	wp_enqueue_script( 'thema-js' );

	wp_register_script( 'kaart-js', get_template_directory_uri() . '/assets/scripts/js/kaart.js', array(), null, true );
	wp_enqueue_script( 'kaart-js' );

}


add_action( 'wp_enqueue_scripts', 'thema_css_load' );
function thema_css_load() {

	global $post;

	wp_register_style( 'bootstrap-style', 'https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css', null, 'screen' );
	wp_enqueue_style( 'bootstrap-style' );

	wp_register_style( 'font-awesome-5-style', 'https://use.fontawesome.com/releases/v5.2.0/css/all.css', null, 'screen' );
	wp_enqueue_style( 'font-awesome-5-style' );

	wp_register_style( 'poppins-google-fonts-style', 'https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,700;1,600&display=swap', null, 'screen' );
	wp_enqueue_style( 'poppins-google-fonts-style' );

	wp_register_style( 'roboto-google-fonts-style', 'https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@200;300;400;600;700&display=swap', null, 'screen' );
	wp_enqueue_style( 'roboto-google-fonts-style' );

	wp_register_style( 'thema-style', get_stylesheet_directory_uri() . '/style.css', null, 'screen' );
	wp_enqueue_style( 'thema-style' );

}

add_action( 'after_setup_theme', 'thema_gutenberg_css' );
function thema_gutenberg_css() {

	add_theme_support( 'editor-styles' );
	add_editor_style( 'assets/scripts/css/gb-editor-styles.css' );

}

add_action( 'wp_enqueue_scripts', 'scoutingnl_paden' );
function scoutingnl_paden() {

	$upload_dir      = wp_upload_dir();
	$scoutingnl_data = array(
		'url'       => get_template_directory_uri(),
		'site_url'  => site_url(),
		'ajax_url'  => admin_url( 'admin-ajax.php' ),
		'media_lib' => $upload_dir['baseurl'],
	);
	wp_localize_script( 'thema-js', 'scoutingnl_data', $scoutingnl_data );

}


add_filter( 'style_loader_src', 'verwijder_css_js_versienummer', 10, 2 );
add_filter( 'script_loader_src', 'verwijder_css_js_versienummer', 10, 2 );
function verwijder_css_js_versienummer( $src ) {

	if ( strpos( $src, '?ver=' ) ) {
		$src = remove_query_arg( 'ver', $src );
	}

	return $src;

}

add_action( 'init', 'geen_wp_embed' );
function geen_wp_embed() {

	if ( ! is_admin() ) {
		wp_deregister_script( 'wp-embed' );
	}

}

add_filter( 'body_class', 'extra_body_class' );
function extra_body_class( $classes = '' ) {

	global $post;

	$cats = get_the_category();
	if ( $cats ) {
		foreach ( $cats as $cat ) {
			$classes[] = 'cat-' . $cat->slug;
		}
	}

	$classes[] = 'custom-background';

	if ( $post ) {

		$slug = $post->post_name;
		if ( $slug ) {
			$classes[] = 'p-' . $slug;
		}
	}

	return $classes;

}


