<?php

/**
 * Template for displaying single post info.
 *
 * Used to display single post info. Uses conditional logic to load more specific templates.
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 */

$tags = array();
if ( get_the_tags() ) {
	foreach ( get_the_tags() as $current_tag ) {
		$tag_naam          = $current_tag->name;
		$tag_link          = get_tag_link( $current_tag->term_id );
		$tags[ $tag_naam ] = array(
			'naam' => $tag_naam,
			'link' => '<a title="' . $tag_naam . '" href="' . $tag_link . '">' . $tag_naam . '</a>',
		);
	}
}

$cats = array();
if ( get_the_category() ) {
	foreach ( get_the_category() as $current_cat ) {
		$cat_naam          = $current_cat->name;
		$cat_link          = esc_url( get_category_link( $current_cat->term_id ) );
		$cats[ $cat_naam ] = array(
			'naam' => $cat_naam,
			'link' => '<a title="' . $cat_naam . '" href="' . $cat_link . '">' . $cat_naam . '</a>',
		);
	}
}

$context           = Timber::get_context();
$single_post       = Timber::query_post();
$context['post']   = $single_post;
$context['tags']   = $tags;
$context['cats']   = $cats;
$banner            = get_field( 'banner', $single_post->ID );
$context['banner'] = $banner;

$templates = array(
	'post.twig',
	'index.twig',
);
Timber::render( $templates, $context );
