<?php

/**
 * Template for displaying tag archive pages.
 *
 * Used to display tag archive pages. Actually, this template file uses the same layout / presentation as archive.php (archive.twig)
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 * @todo        Build specific template for tags archive. If not, remove tag template, as it uses archive.php / archive.twig as a fallback.
 */

$context       = Timber::get_context();
$teller        = 1;
$num_records   = 30;
$current_paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$offset        = ( $num_records * $current_paged ) - $num_records;
$current_tag   = get_query_var( 'tag' );
$args_tags     = array(
	'tag'            => $current_tag,
	'post_type'      => array( 'post', 'page' ),
	'paged'          => $current_paged,
	'post_status'    => 'publish',
	'posts_per_page' => $num_records,
	'orderby'        => 'date',
	'order'          => 'DESC',
	'offset'         => $offset,
);

$context['posts']      = Timber::get_posts( $args_tags );
$context['pagination'] = Timber::get_pagination();

$templates = array(
	'archive.twig',
	'index.twig',
);
Timber::render( $templates, $context );
